#include "farray.hpp"
#include <fstream.h>

int main(void)
{
  FileArray<long double> arr("g:\\bjorn\\array.dat", 10000000);
  // 10M long doubles is about 160Mb, do you have this space free?
  // An observation: On my machine (P120, 2Gb HPFS partition with 400Mb
  // free) this takes 2 minutes and 30 seconds to execute. The amount of
  // free disk space is almost immediately reported as having shrunk by 160Mb.
  // On the same machine, same hard disk, ext2 partition (Linux filesystem,
  // but still running under OS/2,) it's much less than a second (amount of
  // free disk space about equal, 460Mb to be more precise.)
  const size_t size=arr.size();
  arr[1] = 5.0;
  arr[2] = 9.0;
  arr[9] = 1.0;
  arr[0]=-5.0/2;
  arr[size-1]=-20;
  arr[10]=arr[9];
  cout << "arr[1]=" << arr[1] << endl;
  cout << "arr[2]=" << arr[2] << endl;
  cout << "arr[9]=" << arr[9] << endl;
  cout << "arr[0]=" << arr[0] << endl;
  cout << "arr[2]=" << arr[2] << endl;
  cout << "arr[10]=" << arr[10] << endl;

  cout << "arr[size-1])" << arr[size-1] << endl;
  cout << size;
}
